Bug 42123 - g++-2.96: Internal compiler error in find_function_data, at function.c:326
Summary: g++-2.96: Internal compiler error in find_function_data, at function.c:326
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-24 12:38 UTC by thomas binder
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-01 14:30:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug.cc (480 bytes, text/plain)
2001-05-24 12:39 UTC, thomas binder
no flags Details

Description thomas binder 2001-05-24 12:38:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
bug.cc: In method `void SegmentTests::execute () const':
bug.cc:47: Internal compiler error in find_function_data, at function.c
:326
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


How reproducible:
Always

Steps to Reproduce:
1. g++ -c bug.cc


File bug.cc:

struct Tester
{
        virtual void execute() const
        {}
        
        virtual ~Tester()
        {}
};


struct MenuEntry
{       
        MenuEntry(const char* str, const Tester* tt = new Tester())
        {}
};


struct Menu
{       
        Menu()
        {}      

        void add(const MenuEntry* mentry);
};


struct SegmentTests: public Tester      
{ 
        void execute() const; 
};



int main()
{
        Menu    menu;
        
        menu.add(new MenuEntry("-----------"));
}


void SegmentTests::execute() const
{
        Menu    menu;
        
        menu.add(new MenuEntry("Segment tests"));
}



Additional info:

uname -a

Linux tom.huetteldorf.at 2.4.2-2 #1 Sun Apr 8 20:41:30 EDT 2001 i686
unknown

g++ -v

Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-81)

Comment 1 thomas binder 2001-05-24 12:39:29 UTC
Created attachment 19490 [details]
bug.cc

Comment 2 Jakub Jelinek 2001-06-01 14:30:35 UTC
This was fixed with http://gcc.gnu.org/ml/gcc-patches/2000-08/msg01377.html
in mainline gcc, will be included in gcc-c++-2.96-86.

Comment 3 Need Real Name 2002-07-31 21:08:30 UTC
This issue should be re-opened. I'm getting the same error in gcc version 2.96 
20000731 (Red Hat Linux 7.1 2.96-98), which is after the version this bug said 
it would be fixed in.

event_handler_network_event_ado.cpp: In function `void 
EventHandlerNetworkEventAdo::pushEvent (event_type)':
event_handler_network_event_ado.cpp:57: Internal compiler error in 
find_function_data, at function.c:326


Note You need to log in before you can comment on or make changes to this bug.